<?php
$mod = 'admin';
require_once '../includes/common.php';
require_once './admin.class.php';



$userData = adminClass::getUser($DB);

$title = '用户列表';
require_once './head.php';
?>
            <main id="main-container">

                <!-- Page Content -->
                <div class="content">
                    <!-- Full Table -->
                    <div class="block">
                        <div class="block-header">
                            <h3 class="block-title"><?=$title?></h3>
                        </div>
                        <div class="block-content">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-vcenter table-hover table-sm">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>用户名</th>
                                            <th>用户邮箱</th>
                                            <th>用户余额</th>
                                            <th>上级用户</th>
                                            <th>用户状态</th>
                                            <th>操作</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    <?php foreach ($userData as $value){ ?>
                                    <tr>
                                        <td><?=$value['id']?></td>
                                        <td><?=$value['userName']?></td>
                                        <td><?=$value['userMail']?></td>
                                        <td><?=$value['userMoney']?></td>
                                        <td><?=$value['upUserName']?$value['upUserName']:'无上级';?></td>
                                        <td>
                                            <?php
                                                if($value['userState']){
                                                    echo '<a href="javascript:;" onclick="userState(\''.$value['id'].'\')" class="badge badge-success">正常</a>';
                                                }else{
                                                    echo '<a href="javascript:;" onclick="userState(\''.$value['id'].'\')"  class="badge badge-danger">封禁</a>';
                                                }
                                            ?>
                                        </td>
                                        <td>
                                            <a href="javascript:;" onclick="edit('<?=$value['id']?>')" class="badge badge-primary">修改</a>
                                            <a href="javascript:;" onclick="del('<?=$value['id']?>')" class="badge btn-danger">删除</a>
                                        </td>
                                    </tr>
                                    <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://wpa.qq.com/msgrd?v=3&uin=1187757385&site=qq&menu=yes" target="_blank">JiuLe</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="/"><?=$conf['webName']?></a> &copy; <span data-toggle="year-copy">2019</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
        <script src="../assets/vendor/layer/layer.js"></script>
    </body>
</html>
<script>
    function userState(id){
        var load = layer.load('1',{shade:0.8,time:false});

        $.ajax({
            type:'POST',
            url:'/admin/ajax.php',
            data:{
                act:'userState',
                id:id
            },
            dataType:'json',
            success:function (data){
                layer.close(load);
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/admin/userlist.php'
                    },1000);
                    layer.alert(data.msg,{icon:1,shade:0.8});
                }else{
                    layer.alert(data.msg,{icon:2,shade:0.8});
                }
            }
        });
    }
    function edit(id){
        layer.open({
            type: 2,
            title: '修改USER(ID:'+id+')',
            shadeClose: true,
            shade: 0.8,
            area: ['90%', '90%'],
            content: '/admin/userinfo.php?id='+id
        }); 
    }
    function del(id){
        layer.confirm('确定要删除吗？', function (){
            delUser(id)
        });
    }
    function delUser(id){
        var load = layer.load('1',{shade:0.8,time:false});

        $.ajax({
            type:'POST',
            url:'/admin/ajax.php',
            data:{
                act:'delUser',
                id:id
            },
            dataType:'json',
            success:function (data){
                layer.close(load);
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/admin/userlist.php'
                    },1000);
                    layer.alert(data.msg,{icon:1,shade:0.8});
                }else{
                    layer.alert(data.msg,{icon:2,shade:0.8});
                }
            }
        });
    }
</script>