<?php
class Tips
{
    public static function success($text, $url = false, $dec = '3')
    {
        $content =  '
            <!doctype html>
            <html>
            <head>
            <meta charset="utf-8">
            <title>'.$text.'</title>
            <link rel="stylesheet" href="//cdn.bootcss.com/bootstrap/3.3.4/css/bootstrap.min.css">
            </head>
            <body>
                <div class="container" style="margin-top:9%;">
                    <div class="panel panel-success">
                        <div class="panel-heading" style="text-align:center;"><h1>'.$text.'</h1></div>
                    </div>
                </div>
            </body>
            </html>
        ';
        if($url){
            $content .= '<script>setTimeout(function (){location.href = "'.$url.'"},'.$dec.'000);</script>';
        }
        exit($content);
    }
    public static function error($text, $url = false, $dec = '3')
    {
        $content =  '
            <!doctype html>
            <html>
            <head>
            <meta charset="utf-8">
            <title>'.$text.'</title>
            <link rel="stylesheet" href="//cdn.bootcss.com/bootstrap/3.3.4/css/bootstrap.min.css">
            </head>
            <body>
                <div class="container" style="margin-top:9%;">
                    <div class="panel panel-danger">
                        <div class="panel-heading" style="text-align:center;"><h1>'.$text.'</h1></div>
                    </div>
                </div>
            </body>
            </html>
        ';
        if($url){
            $content .= '<script>setTimeout(function (){location.href = "'.$url.'"},'.$dec.'000);</script>';
        }
        exit($content);
    }
}
class Shows
{
    public static function json($code, $msg = NULL, $data = array())
    {
        $jsonData = array(
            'code' => $code,
            'msg' => $msg,
            'data' => $data
        );
        exit(json_encode($jsonData));
    }
}
class Counts
{
    public static function api($DB)
    {
        $data = $DB->query("SELECT * FROM `impepd_api`")->fetchAll(PDO::FETCH_ASSOC);
        return count($data);
    }
    public static function useApi($DB)
    {
        $data = $DB->query("SELECT * FROM `impepd_api` WHERE `apiState` = 1")->fetchAll(PDO::FETCH_ASSOC);
        return count($data);
    }
    public static function useSum($DB)
    {
        $data = $DB->query("SELECT sum(`apiUse`) AS `sum` FROM `impepd_api`")->fetch(PDO::FETCH_ASSOC);
        return $data['sum'];
    }
    public static function user($DB)
    {
        $data = $DB->query("SELECT * FROM `impepd_user`")->fetchAll(PDO::FETCH_ASSOC);
        return count($data);
    }
    public static function table($DB, $table)
    {
        $data = $DB->query("SELECT * FROM `$table`")->fetchAll(PDO::FETCH_ASSOC);
        return count($data);
    }
    public static function sum($DB, $table ,$field)
    {
        $data = $DB->query("SELECT sum(`$field`) AS `sum` FROM `$table`")->fetch(PDO::FETCH_ASSOC);
        return $data['sum'];
    }
    public static function sumDay($DB, $table, $field, $date, $state = 1)
    {
        $data = $DB->query("SELECT sum(`$field`) AS `sum` FROM `$table` WHERE `date` = '$date' AND `state` = '$state'")->fetch(PDO::FETCH_ASSOC);
        return $data['sum'];
    }
    public static function userApi($DB, $userName)
    {
        $data = $DB->query("SELECT * FROM `impepd_apib` WHERE `userName` = '$userName'")->fetchAll(PDO::FETCH_ASSOC);
        return count($data);
    }
    public static function userDown($DB, $userName)
    {
        $data = $DB->query("SELECT * FROM `impepd_user` WHERE `upUserName` = '$userName'")->fetchAll(PDO::FETCH_ASSOC);
        return count($data);
    }
    public static function userDay($DB, $table, $field, $date, $userName)
    {
        $data = $DB->query("SELECT sum(`$field`) AS `sum` FROM `$table` WHERE `date` = '$date' AND `userName` = '$userName'")->fetch(PDO::FETCH_ASSOC);
        return $data['sum'];
    }
}
class ApiState
{
    public function __construct($array)
    {
        $this->ip = $array["ip"];
        $this->r = rand(100000, 999999);
        $this->skey = $array["key"];
    }
    public function post($info)
    {
        $url = "http://" . $this->ip . ":3312/api/index.php?r=" . $this->r . "&s=" . md5($info["a"] . $this->skey . $this->r) . "&json=1";
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_MAXREDIRS, 3);
        curl_setopt($ch, CURLOPT_FRESH_CONNECT, 1);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
        curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; .NET CLR 2.0.50727)");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($info));
        curl_setopt($ch, CURLOPT_TIMEOUT, 30);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Expect:'
        ));
        $data = curl_exec($ch);
        $data = mb_convert_encoding($data, "UTF-8", "auto");
        $data = json_decode($data, true);
        return $data;
    }
    public function info()
    {
        return $this->post(array(
            'c' => 'whm',
            'a' => 'info'
        ));
    }
}
class Mail
{
    public static function send($DB, $email)
    {
        $yzm = mt_rand(100000,999999);
        $confData = $DB->query('SELECT * FROM `impepd_config`')->fetchAll(PDO::FETCH_ASSOC);
        foreach ($confData as $value) {
            $conf[$value['k']] = $value['v'];
        }
        include 'mail/class.phpmailer.php';
        include 'mail/class.smtp.php';

        // 实例化PHPMailer核心类
        $mail = new PHPMailer();
        // 是否启用smtp的debug进行调试 开发环境建议开启 生产环境注释掉即可 默认关闭debug调试模式
        $mail->SMTPDebug = 0;
        // 使用smtp鉴权方式发送邮件
        $mail->isSMTP();
        // smtp需要鉴权 这个必须是true
        $mail->SMTPAuth = true;
        // 链接qq域名邮箱的服务器地址
        $mail->Host = $conf['mailHost'];
        // 设置使用ssl加密方式登录鉴权
        $mail->SMTPSecure = 'ssl';
        // 设置ssl连接smtp服务器的远程服务器端口号
        $mail->Port = $conf['mailPort'];
        // 设置发送的邮件的编码
        $mail->CharSet = $conf['mailCharSet'];
        // 设置发件人昵称 显示在收件人邮件的发件人邮箱地址前的发件人姓名
        $mail->FromName = $conf['mailFromName'];
        // smtp登录的账号 QQ邮箱即可
        $mail->Username = $conf['mailUserName'];
        // smtp登录的密码 使用生成的授权码
        $mail->Password = $conf['mailPassWord'];
        // 设置发件人邮箱地址 同登录账号
        $mail->From = $conf['mailUserName'];
        // 邮件正文是否为html编码 注意此处是一个方法
        $mail->isHTML(true);
        // 设置收件人邮箱地址
        $mail->addAddress($email);
        // 添加该邮件的主题
        $mail->Subject = '感谢您注册'.$conf['webName'];
        // 添加邮件正文
        $mail->Body = '<table width="100%" border="0" cellpadding="0" cellspacing="0" align="center" class="full" bgcolor="#303030" style="background-color: rgb(48, 48, 48);"><tr><td style=" background-image: url(#); -webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover; background-position: center center; background-repeat: no-repeat; background-color: #23282b; " id="not1"><table width="100%" border="0" cellpadding="0" cellspacing="0" align="center" class="mobile"><tr><td width="100%" height="100"><div class="sortable_inner ui-sortable"><table width="352" border="0" cellpadding="0" cellspacing="0" align="center" class="mobile" object="drag-module-small"><tr><td width="100%" valign="middle"><table width="265" border="0" cellpadding="0" cellspacing="0" align="center" style="text-align: center; border-collapse:collapse; mso-table-lspace:0pt; mso-table-rspace:0pt;" class="fullCenter"><tr><td width="100%" height="50"></td></tr></table></td></tr></table><table width="352" border="0" cellpadding="0" cellspacing="0" align="center" class="mobile" object="drag-module-small"><tr><td width="100%" valign="middle"><table width="265" border="0" cellpadding="0" cellspacing="0" align="center" style="text-align: center; border-collapse:collapse; mso-table-lspace:0pt; mso-table-rspace:0pt;" class="fullCenter"><tr><td width="100%" height="50"></td></tr></table></td></tr></table><table width="352" border="0" cellpadding="0" cellspacing="0" align="center" class="mobile" bgcolor="#1dc8e9" object="drag-module-small" style="background-color: rgb(29, 200, 233);"><tr><td width="100%" valign="middle"><table width="265" border="0" cellpadding="0" cellspacing="0" align="center" style="text-align: center; border-collapse:collapse; mso-table-lspace:0pt; mso-table-rspace:0pt;" class="fullCenter"><tr><td width="100%" height="50"></td></tr></table>							</td></tr></table><table width="352" border="0" cellpadding="0" cellspacing="0" align="center" class="mobile" bgcolor="#1dc8e9" object="drag-module-small" style="background-color: rgb(29, 200, 233);"><tr><td width="100%" valign="middle"><table width="300" border="0" cellpadding="0" cellspacing="0" align="center" style="text-align: center; border-collapse:collapse; mso-table-lspace:0pt; mso-table-rspace:0pt;" class="fullCenter"><tr><td valign="middle" width="100%" style="text-align: center; font-family: Helvetica, Arial, sans-serif; font-size: 40px; color: rgb(255, 255, 255); line-height: 44px; font-weight: 100;" class="fullCenter"><span style="font-family: &#39;proxima_novathin&#39;, Helvetica; font-weight: normal;"><singleline>Security Code</singleline></span></td></tr><tr><td width="100%" height="15"></td></tr></table></td></tr></table><table width="352" border="0" cellpadding="0" cellspacing="0" align="center" class="mobile" bgcolor="#1dc8e9" object="drag-module-small" style="background-color: rgb(29, 200, 233);"><tr><td width="100%" valign="middle"><table width="300" border="0" cellpadding="0" cellspacing="0" align="center" style="text-align: center; border-collapse:collapse; mso-table-lspace:0pt; mso-table-rspace:0pt;" class="fullCenter"><tr><td width="100%" height="15"></td></tr><tr><td valign="middle" width="100%" style="text-align: center; font-family: Helvetica, Arial, sans-serif; font-size: 31px; color: rgb(255, 255, 255); line-height: 38px; font-weight: bold; text-transform: uppercase;" class="fullCenter"><span style="font-family: &#39;proxima_novablack&#39;, Helvetica; font-weight: normal;"><singleline>'.$conf['webName'].'</singleline></span></td></tr></table></td></tr></table><table width="352" border="0" cellpadding="0" cellspacing="0" align="center" class="mobile" bgcolor="#1dc8e9" object="drag-module-small" style="background-color: rgb(29, 200, 233);"><tr><td width="100%" valign="middle"><table width="265" border="0" cellpadding="0" cellspacing="0" align="center" style="text-align: center; border-collapse:collapse; mso-table-lspace:0pt; mso-table-rspace:0pt;" class="fullCenter"><tr><td width="100%" height="50"></td></tr></table>							</td></tr></table><table width="352" border="0" cellpadding="0" cellspacing="0" align="center" class="mobile" bgcolor="#ffffff" object="drag-module-small" style="background-color: rgb(255, 255, 255);"><tr><td width="100%" valign="middle"><table width="265" border="0" cellpadding="0" cellspacing="0" align="center" style="text-align: center; border-collapse:collapse; mso-table-lspace:0pt; mso-table-rspace:0pt;" class="fullCenter"><tr><td width="100%" height="30"></td></tr><tr><td><table width="100%" border="0" cellpadding="0" cellspacing="0" align="center"><tr><td align="center" height="45" bgcolor="#1dc8e9" style="padding-left: 22px; padding-right: 22px; font-weight: bold; font-family: Helvetica, Arial, sans-serif; color: rgb(255, 255, 255); text-transform: uppercase; background-color: rgb(29, 200, 233);"><multiline><span style="font-family: &#39;proxima_novablack&#39;, Helvetica; font-weight: normal;"><span style="color: rgb(255, 255, 255); font-size: 18px; text-decoration: none; line-height: 34px; width: 100%;">'.$yzm.'</span></span></multiline></td></tr></table></td></tr></table></td></tr></table><table width="352" border="0" cellpadding="0" cellspacing="0" align="center" class="mobile" bgcolor="#ffffff" object="drag-module-small" style="background-color: rgb(255, 255, 255);"><tr><td width="100%" valign="middle"><table width="265" border="0" cellpadding="0" cellspacing="0" align="center" style="text-align: center; border-collapse:collapse; mso-table-lspace:0pt; mso-table-rspace:0pt;" class="fullCenter"><tr><td width="100%" height="50"></td></tr></table>							</td></tr></table><table width="352" border="0" cellpadding="0" cellspacing="0" align="center" class="mobile" object="drag-module-small"><tr><td width="100%" valign="middle"><table width="265" border="0" cellpadding="0" cellspacing="0" align="center" style="text-align: center; border-collapse:collapse; mso-table-lspace:0pt; mso-table-rspace:0pt;" class="fullCenter"><tr><td width="100%" height="40"></td></tr></table>							</td></tr></table></div></td></tr></table><div></div></td></tr></table>';
        // 发送邮件 返回状态
        if(!$mail->send())return false;

        session_start();
        $_SESSION['yzm'] = $yzm;
        return true;
    }
}
class Gets
{
    public static function pay($DB, $out_trade_no)
    {
        return $DB->query("SELECT * FROM `impepd_pay` WHERE `out_trade_no` = '$out_trade_no'")->fetch(PDO::FETCH_ASSOC);
    }
	public static function ip()
	{
		if(getenv('HTTP_CLIENT_IP') && strcasecmp(getenv('HTTP_CLIENT_IP'), 'unknown')) {
			$ip = getenv('HTTP_CLIENT_IP');
		} elseif(getenv('HTTP_X_FORWARDED_FOR') && strcasecmp(getenv('HTTP_X_FORWARDED_FOR'), 'unknown')) {
			$ip = getenv('HTTP_X_FORWARDED_FOR');
		} elseif(getenv('REMOTE_ADDR') && strcasecmp(getenv('REMOTE_ADDR'), 'unknown')) {
			$ip = getenv('REMOTE_ADDR');
		} elseif(isset($_SERVER['REMOTE_ADDR']) && $_SERVER['REMOTE_ADDR'] && strcasecmp($_SERVER['REMOTE_ADDR'], 'unknown')) {
			$ip = $_SERVER['REMOTE_ADDR'];
		}
		return preg_match ( '/[\d\.]{7,15}/', $ip, $matches ) ? $matches [0] : '';
	}
}
class Puts
{
    public static function pay($DB, $out_trade_no, $money, $userName)
    {
        $date = date('Y-m-d');
        return $DB->exec("INSERT INTO `impepd_pay`(`out_trade_no`,`money`,`userName`,`date`)VALUES('$out_trade_no','$money','$userName','$date')");
    }
}
class Upds
{
    public static function pay($DB, $out_trade_no)
    {
        return $DB->exec("UPDATE `impepd_pay` SET `state` = '1' WHERE `out_trade_no` = '$out_trade_no'");
    }
}
class Money
{
    public static function add($DB, $userName, $money)
    {
        return $DB->exec("UPDATE `impepd_user` SET `userMoney` = `userMoney` + '$money' WHERE `userName` = '$userName'");
    }
    public static function reduce($DB, $userName, $money)
    {
        return $DB->exec("UPDATE `impepd_user` SET `userMoney` = `userMoney` - '$money' WHERE `userName` = '$userName'");
    }
}

