<?php
header('Content-type:text/html;Charset=utf-8');

define('DEC', DIRECTORY_SEPARATOR);// 系统分隔符
define('ROOT_PATH', str_replace(strrchr(__DIR__, DEC), '', __DIR__) . DEC);// 根目录
define('INCLUDES_PATH', __DIR__ . DEC);// 引入目录
define('INSTALL_PATH', ROOT_PATH . 'install' . DEC);// 安装目录

$isLogin = false;
$isUserLogin = false;
$mod = isset($mod) ? $mod : '' ;

require_once INCLUDES_PATH .'function.php';
require_once INCLUDES_PATH .'common.class.php';
require_once ROOT_PATH . 'config.php';
require_once INCLUDES_PATH .'epay.class.php';
require_once INCLUDES_PATH .'codepay.class.php';


if(phpversion() < 7)Tips::error('要求PHP版本7.0或以上');
if (!file_exists(INSTALL_PATH . 'install.lock') && $mod != 'install') Tips::error('请先安装！','/install');

if ($mod != 'install') {
	$dsn = 'mysql:host='.$db['dbHost'].';port='.$db['dbPort'].';dbname='.$db['dbName'].';charset=utf8';
	try {
		$DB=new PDO($dsn,$db['dbUser'],$db['dbPwd']);
	} catch(Exception $e) {
		Tips::error('数据库连接错误，请检查根目录 config.php 文件');
	}

	$allDb = $DB->query('show tables')->fetchAll(PDO::FETCH_ASSOC);
	if(empty($allDb)){
		unlink(INSTALL_PATH . 'install.lock');
		if($mod != 'install')Tips::error('数据库为空，请重新安装！','/install');
	}
}

if($mod == 'install' && file_exists(INSTALL_PATH . 'install.lock'))Tips::error('已安装，重新安装请删除 /install/install.lock 文件','/');

session_start();

if($mod != 'install'){
    if(isset($_SESSION['adminUser'])){
        $adminUser = $_SESSION['adminUser'];
        $ip = Gets::ip();

        $adminData = $DB->query("SELECT * FROM `impepd_admin` WHERE `adminUser` = '$adminUser'")->fetch(PDO::FETCH_ASSOC);
        if(!empty($adminData) && $adminData['adminLoginIp'] == $ip)$isLogin = true;
    }
    if(!isset($notLogin) && $mod == 'admin' && !$isLogin)header('Location:/admin/login.php');

    if(isset($_SESSION['userName'])){
        $userName = $_SESSION['userName'];
        $ip = Gets::ip();

        $userData = $DB->query("SELECT * FROM `impepd_user` WHERE `userName` = '$userName'")->fetch(PDO::FETCH_ASSOC);
        if(!empty($userData) && $userData['userIp'] == $ip && $userData['userState'] == 1)$isUserLogin = true;
    }
    if(!isset($notLogin) && $mod == 'user' && !$isUserLogin)header('Location:/user/login.php');

    $confData = $DB->query('SELECT * FROM `impepd_config`')->fetchAll(PDO::FETCH_ASSOC);
    foreach ($confData as $value) {
        $conf[$value['k']] = $value['v'];
    }
}
