<?php
class ePay
{
    // new ePay(易支付接口, 易支付PID, 易支付KEY, 订单名称, 站点名称, 支付金额, 支付方式, AJAX返回地址, 页面返回地址);
    public function __construct($DB, $epayLink, $epayPid, $epayKey, $name, $sitename, $money, $type, $notify_url, $return_url)
    {
        $out_trade_no = date('YmdHis').mt_rand(000,999);
        $ary = array(
            'money' => $money,
            'type' => $type,
            'out_trade_no' => $out_trade_no,
            'notify_url' => $notify_url,
            'pid' => $epayPid,
            'name' => $name,
            'return_url' => $return_url,
            'sitename' => $sitename
        );
        if(!Puts::pay($DB, $out_trade_no, $money, $_SESSION['userName']))Tips::error('创建订单失败', '/user');
        $this->submit($ary, $epayLink, $epayKey);
    }
    public function submit($ary, $epayLink, $epayKey)
    {
        $aryLink = $this->aryLink($this->arySort($ary));
        $ary['sign'] = $this->md5Sign($aryLink, $epayKey);
        $ary['sign_type'] = 'MD5';

        $action = $epayLink.'submit.php?_input_charset=utf-8';

        $html = '<form id="paySubmit" name="paySubmit" action="'.$action.'">';
        while (list ($key, $val) = each ($ary)) {
            $html.= '<input hidden name="'.$key.'" value="'.$val.'">';
        }
        $html .= '<input hidden type="submit"></form><script>document.forms["paySubmit"].submit();</script>';

        exit($html);
    }
    public static function returnP($DB, $conf, $out_trade_no)
    {
        $data = self::getPay($conf, $out_trade_no);

        if($data['code'] == 1 && $data['status'] == 1){
            // 验证成功
            $out_trade_no = $data['out_trade_no'];
            $payData = Gets::pay($DB, $out_trade_no);

            if(empty($payData))Tips::error('订单不存在，有疑问请联系管理员。', '/user');
            if($payData['state'] == 1)Tips::error('订单已成功充值，有疑问请联系管理员。', '/user');
            if($payData['money'] != $data['money'])Tips::error('充值金额有误，有疑问请联系管理员。', '/user');
            if(!Money::add($DB, $_SESSION['userName'], $payData['money']))Tips::error('充值失败，有疑问请联系管理员。', '/user');
            if(!Upds::pay($DB, $payData['out_trade_no']))Tips::error('修改状态失败，有疑问请联系管理员。', '/user');
            Tips::success('充值成功，请稍后。', '/user');
        }else{
            // 验证失败
            Tips::error('验证失败，订单不存在或未支付。', '/user');
        }
    }
    public function arySort($ary)
    {
        ksort($ary);
        reset($ary);
        return $ary;
    }
    public function aryLink($ary)
    {
        $arg  = "";
        while (list ($key, $val) = each ($ary)) {
            $arg.=$key."=".$val."&";
        }
        $arg = substr($arg,0,count($arg)-2);
    
        if(get_magic_quotes_gpc()){$arg = stripslashes($arg);}
        
        return $arg;
    }
    public function md5Sign($aryLink, $key)
    {
        $aryLink = $aryLink.$key;
        return md5($aryLink);
    }
    public static function getPay($conf, $out_trade_no)
    {
        $epayLink = $conf['epayLink'];
        $epayPid = $conf['epayPid'];
        $epayKey = $conf['epayKey'];

        $apiUrl = $epayLink.'api.php?act=order&pid='.$epayPid.'&key='.$epayKey.'&out_trade_no='.$out_trade_no;
        
        $data = json_decode(file_get_contents($apiUrl),true);
    
        return $data;
    }
}