<?php
$mod = 'index';
require_once 'includes/common.php';



$title = '首页';
require_once 'user/header.php';
?>
    <body>
        <div id="page-container" class="main-content-boxed">

            <!-- Main Container -->
            <main id="main-container">

                <!-- Hero -->
                <div class="bg-image" style="background-image: url('assets/images/cloud2.jpg');">
                    <div class="hero bg-black-75 overflow-hidden">
                        <div class="hero-inner">
                            <div class="content content-full text-center">
                                <div class="mb-5 invisible" data-toggle="appear" data-class="animated fadeInDown">
                                    <i class="fa fa-circle-notch fa-3x text-primary"></i>
                                </div>
                                <h1 class="display-4 font-w600 mb-3 text-white invisible" data-toggle="appear" data-class="animated fadeInDown">
                                    <?=$conf['webName']?>
                                </h1>
                                <h5 class="h5 font-w400 text-white-50 mb-5 invisible" data-toggle="appear" data-class="animated fadeInDown" data-timeout="300">
                                    <?=$conf['webName']?>，EP分销系统，无需安全码即可出售代理（分销），让EP服务器稳定安全
                                </h5>
                                <span class="m-2 d-inline-block invisible" data-toggle="appear" data-class="animated fadeInUp" data-timeout="600">
                                    <a class="btn btn-success px-4 py-2" data-toggle="click-ripple" href="/user/reg.php">
                                        <i class="fa fa-user-plus fa-shopping-cart mr-1"></i> 用户注册
                                    </a>
                                </span>
                                <span class="m-2 d-inline-block invisible" data-toggle="appear" data-class="animated fadeInUp" data-timeout="600">
                                    <a class="btn btn-primary px-4 py-2" data-toggle="click-ripple" href="/user/login.php">
                                        <i class="fa fa-sign-in-alt fa-rocket mr-1"></i> 用户登录
                                    </a>
                                </span>
                            </div>
                        </div>
                        <div class="hero-meta">
                            <div class="js-appear-enabled animated fadeIn" data-toggle="appear" data-timeout="450">
                                <span class="d-inline-block animated slideInDown infinite">
                                    <i class="fa fa-angle-down text-white-50 fa-2x"></i>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- END Hero -->

                <!-- Versions -->
                <div id="one-versions" class="bg-light">
                    <div class="content content-full">
                        <div class="py-5 text-center">
                            <h2 class="h1 mb-5">
                                EPD <?=epdVersion()?> Versions
                            </h2>
                            <div class="row">
                                <div class="col-lg-4 invisible" data-toggle="appear">
                                    <!-- HTML Version -->
                                    <div class="block block-rounded block-fx-pop">
                                        <div class="block-content block-content-full">
                                            <div class="my-4">
                                                <i class="si fa-5x si-graph text-modern"></i>
                                            </div>
                                            <h4 class="mb-2">多平台对接支持</h4>
                                            <p class="font-size-sm text-muted text-left">
                                                已兼容目前热门的SWAPIDC、WHMCS程序,用户获取到插件后,上传安装,按照插件使用手册进行配置后即可开始使用.
                                            </p>
                                        </div>
                                    </div>
                                    <!-- END HTML Version -->
                                </div>
                                <div class="col-lg-4 invisible" data-toggle="appear">
                                    <!-- PHP Version -->
                                    <div class="block block-rounded block-fx-pop">
                                        <div class="block-content block-content-full">
                                            <div class="my-4">
                                                <i class="si fa-5x si-paper-plane text-amethyst"></i>
                                            </div>
                                            <h4 class="mb-2">简易上手的体验</h4>
                                            <p class="font-size-sm text-muted text-left">
                                                在你部署完分销平台,通过简单的配置后即可开始你的分销之旅,采用集成化API管理,全自动开通暂停账户,无需人工干预.
                                            </p>
                                        </div>
                                    </div>
                                    <!-- END PHP Version -->
                                </div>
                                <div class="col-lg-4 invisible" data-toggle="appear">
                                    <!-- Laravel Starter Kit -->
                                    <div class="block block-rounded block-fx-pop">
                                        <div class="block-content block-content-full">
                                            <div class="my-4">
                                                <i class="si fa-5x si-lock text-city"></i>
                                            </div>
                                            <h4 class="mb-2">安全的信息保护</h4>
                                            <p class="font-size-sm text-muted text-left">
                                                无需再提供安全码给用户,通过平台的API集成方案,采用独立的随机Key值分配给用户,做到一户一码集成管理,随开随停一触即发.
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- END Versions -->

                <!-- Remastered -->
                <div id="one-remastered" class="bg-white">
                    <div class="content content-full">
                        <div class="py-5 text-center">
                            <h2 class="h1 mb-5">
                                数据统计
                            </h2>
                            <div class="row">
                                <div class="col-sm-6 col-md-4 col-xl-3 invisible" data-toggle="appear">
                                    <!-- Bootstrap 4 -->
                                    <div class="block block-rounded block-fx-pop">
                                        <div class="block-content block-content-full">
                                            <div class="item item-rounded bg-modern-lighter mx-auto my-4">
                                                <i class="fab fa-2x fa-cloudversify text-modern"></i>
                                            </div>
                                            <h4 class="mb-2">拥有接口</h4>
                                            <p class="h3 text-muted text-center">
                                                <?=Counts::api($DB)?>
                                            </p>
                                        </div>
                                    </div>
                                    <!-- END Bootstrap 4 -->
                                </div>
                                <div class="col-sm-6 col-md-4 col-xl-3 invisible" data-toggle="appear">
                                    <!-- Sass -->
                                    <div class="block block-rounded block-fx-pop">
                                        <div class="block-content block-content-full">
                                            <div class="item item-rounded bg-success-light mx-auto my-4">
                                                <i class="fab fa-2x fa-mixcloud text-success"></i>
                                            </div>
                                            <h4 class="mb-2">可用接口</h4>
                                            <p class="h3 text-muted text-center">
                                                <?=Counts::useApi($DB)?>
                                            </p>
                                        </div>
                                    </div>
                                    <!-- END Sass -->
                                </div>
                                <div class="col-sm-6 col-md-4 col-xl-3 invisible" data-toggle="appear">
                                    <!-- ES6 -->
                                    <div class="block block-rounded block-fx-pop">
                                        <div class="block-content block-content-full">
                                            <div class="item item-rounded bg-warning-light mx-auto my-4">
                                                <i class="si fa-2x si-cursor text-warning"></i>
                                            </div>
                                            <h4 class="mb-2">调用次数</h4>
                                            <p class="h3 text-muted text-center">
                                                <?=Counts::useSum($DB)?Counts::useSum($DB):0?>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-6 col-md-4 col-xl-3 invisible" data-toggle="appear">
                                    <!-- ES6 -->
                                    <div class="block block-rounded block-fx-pop">
                                        <div class="block-content block-content-full">
                                            <div class="item item-rounded bg-amethyst-light mx-auto my-4">
                                                <i class="si fa-2x si-users text-amethyst"></i>
                                            </div>
                                            <h4 class="mb-2">注册用户</h4>
                                            <p class="h3 text-muted text-center">
                                                <?=Counts::user($DB)?>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="one-reviews" class="bg-image" style="background-image: url('assets/images/cloud1.jpg');">
                    <div class="bg-black-75">
                        <div class="content content-full">
                            <div class="py-5">
                                <h4 class="h4 text-white mb-2 text-center">
                                    赶快加入我们吧！
                                </h4>
                            </div>
                        </div>
                    </div>
                </div>
                <footer id="page-footer" class="bg-white">
                    <div class="content py-5">
                        <div class="row font-size-sm">
                            <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                                Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://wpa.qq.com/msgrd?v=3&uin=1187757385&site=qq&menu=yes" target="_blank">购买接口请联系QQ1187757385</a>
                            </div>
                            <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                                <a class="font-w600" href="/"><?=$conf['webName']?></a> &copy; <span data-toggle="year-copy">2019</span>
                                &nbsp;
								<?=$conf['footCode']?>
                            </div>
                        </div>
                    </div>
                </footer>
            </main>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
        <script src="../assets/js/plugins/chart.js/Chart.bundle.min.js"></script>
        <script src="../assets/js/pages/be_pages_dashboard.min.js"></script>
        <script src="../assets/vendor/layer/layer.js"></script>
    </body>
</html>