<?php
$mod = 'user';
require_once '../includes/common.php';
require_once './user.class.php';



if(!$conf['userBuyApi'])Tips::error('管理员未开启此功能', '/user');

$apiData = userClass::getShowApi($DB);

$title = '接口购买';
require_once './head.php';
?>
            <main id="main-container">
                <!-- Page Content -->
                <div class="content">
                    <!-- Modern Design -->
                    <h2 class="content-heading"><?=$title?></h2>
                    <div class="row">
                        <?php foreach ($apiData as $value){ ?>
                        <div class="col-md-6 col-xl-3">
                            <a class="block block-link-shadow block-themed block-fx-shadow text-center" href="javascript:void(0)">
                                <div class="block-header">
                                    <h3 class="block-title">
                                        <?=$value['apiName']?>
                                    </h3>
                                </div>
                                <div class="block-content bg-body-light">
                                    <div class="py-2">
                                        <p class="h1 font-w700 mb-2">￥<?=$value['apiMoney']?>/月</p>
                                        <p class="h4 font-w700 mb-2">￥<?=$value['apiUseMoney']?>/次</p>
                                    </div>
                                </div>
                                <div class="block-content">
                                    <div class="font-size-sm py-2">
                                        <p>
                                            <strong>IP</strong> <?=$value['apiIp']?>
                                        </p>
                                        <p>
                                            <strong>所有者</strong> <?=$value['userName']?$value['userName']:'管理员'?>
                                        </p>
                                        <p>
                                            <strong>最大空间</strong> <?=$value['apiMixWeb']?> MB
											<br>
                                            <strong>最大数据库</strong> <?=$value['apiMixDb']?> MB
											<br>
                                            <strong>最大流量</strong> <?=$value['apiMixFlow']?> GB
                                        </p>
                                        <p>
                                            <strong>状态</strong> <?php if($value['apiState'] == 1){echo '<span class="text-success">正常</span>';}else{echo '<span class="text-danger">异常</span>';} ?>
                                        </p>
                                    </div>
                                </div>
                                <div class="block-content block-content-full bg-body-light">
                                    <span class="btn btn-primary px-4" onclick="buy('<?=$value['id']?>')">购买</span>
                                </div>
                            </a>
                        </div>
                        <?php } ?>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://wpa.qq.com/msgrd?v=3&uin=1187757385&site=qq&menu=yes" target="_blank">JiuLe</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="/"><?=$conf['webName']?></a> &copy; <span data-toggle="year-copy">2019</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
        <script src="../assets/vendor/layer/layer.js"></script>
    </body>
</html>
<script>
    function buy(id){
        var load = layer.load('1',{shade:0.8,time:false});

        $.ajax({
            type:'POST',
            url:'/user/ajax.php',
            data:{
                act:'buy',
                id:id
            },
            dataType:'json',
            success:function (data){
                layer.close(load);
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/user/apilist.php'
                    },1000);
                    layer.alert(data.msg,{icon:1,shade:0.8});
                }else{
                    layer.alert(data.msg,{icon:2,shade:0.8});
                }
            }
        });
    }
</script>