<?php
$mod = 'user';
require_once '../includes/common.php';
require_once './user.class.php';



$apiData = userClass::getUserApiUserName($DB, $_SESSION['userName']);

$title = '接口列表';
require_once './head.php';
?>
            <main id="main-container">

                <div class="content">
                    <div class="block">
                        <div class="block-header">
                            <h3 class="block-title"><?=$title?></h3>
                        </div>
                        <div class="block-content">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-vcenter table-hover table-sm">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>接口IP</th>
                                            <th>接口名称</th>
                                            <th>接口价格</th>
                                            <th>调用价格</th>
                                            <th>购买时长</th>
                                            <th>购买时间</th>
                                            <th>使用状态</th>
                                            <th>操作</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    <?php foreach ($apiData as $value){ ?>
                                    <tr>
                                        <td><?=$value['id']?></td>
                                        <td><?=$value['apiIp']?></td>
                                        <td><?=$value['apiName']?></td>
                                        <td><?=$value['apiMoney']?></td>
                                        <td><?=$value['apiUseMoney']?></td>
                                        <td><?=$value['useLength']?> 天</td>
                                        <td><?=$value['useTime']?></td>
                                        <td>
                                            <?php
                                                if(!$value['isShow']){
                                                    echo '<button class="btn badge badge-danger">异常</button>';
                                                }elseif($value['isShow'] == 1){
                                                    echo '<button class="btn badge badge-success">正常</button>';
                                                }
                                            ?>
                                        </td>
                                        <td>
                                            <a class="badge badge-primary" href="/user/accessCourse.php?ip=<?=$value['apiIp']?>">对接</a>
                                            <button onclick="del('<?=$value['id']?>')" class="btn badge badge-danger">删除</button>
                                        </td>
                                    </tr>
                                    <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </main>
            <footer id="page-footer" class="bg-body-light">
                <div class="content py-3">
                    <div class="row font-size-sm">
                        <div class="col-sm-6 order-sm-2 py-1 text-center text-sm-right">
                            Crafted with <i class="fa fa-heart text-danger"></i> by <a class="font-w600" href="http://wpa.qq.com/msgrd?v=3&uin=1187757385&site=qq&menu=yes" target="_blank">JiuLe</a>
                        </div>
                        <div class="col-sm-6 order-sm-1 py-1 text-center text-sm-left">
                            <a class="font-w600" href="/"><?=$conf['webName']?></a> &copy; <span data-toggle="year-copy">2019</span>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <script src="../assets/js/oneui.core.min.js"></script>
        <script src="../assets/js/oneui.app.min.js"></script>
        <script src="../assets/vendor/layer/layer.js"></script>
    </body>
</html>
<script>
    function del(id){
        layer.confirm('确定要删除吗？删除后不可使用且不退款', function (){
            delApi(id)
        });
    }
    function delApi(id){
        var load = layer.load('1',{shade:0.8,time:false});

        $.ajax({
            type:'POST',
            url:'/user/ajax.php',
            data:{
                act:'delUserApi',
                id:id
            },
            dataType:'json',
            success:function (data){
                layer.close(load);
                if(data.code == 1){
                    setTimeout(function (){
                        location.href = '/user/apilist.php'
                    },1000);
                    layer.alert(data.msg,{icon:1,shade:0.8});
                }else{
                    layer.alert(data.msg,{icon:2,shade:0.8});
                }
            }
        });
    }
</script>