<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
        <title><?=$conf['webName']?> - <?=$title?></title>
		<meta name="description" content="<?=$conf['webDescription']?>">
		<meta name="keyword" content="<?=$conf['webKeyword']?>">
        <link rel="stylesheet" href="../assets/css/font.css">
        <link rel="stylesheet" id="css-main" href="../assets/css/oneui.min.css">
        <style>td,th{white-space: nowrap;}</style>
    </head>
    <body>
        <div id="page-container" class="sidebar-o sidebar-dark enable-page-overlay side-scroll page-header-fixed">

            <nav id="sidebar" aria-label="Main Navigation">

                <div class="content-header bg-white-5">

                    <a class="font-w600 text-dual" href="/">
                        <i class="fa fa-circle-notch text-primary"></i>
                        <span class="smini-hide">
                            <?=$conf['webName']?>
                        </span>
                    </a>
                    <div>
                        <div class="dropdown d-inline-block ml-3">
                            <a class="text-dual font-size-sm" id="sidebar-themes-dropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" href="javascript:;">
                                <i class="si si-drop"></i>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right font-size-sm smini-hide border-0" aria-labelledby="sidebar-themes-dropdown">

                                <a class="dropdown-item d-flex align-items-center justify-content-between" data-toggle="theme" data-theme="default" href="javascript:;">
                                    <span>默认主题</span>
                                    <i class="fa fa-circle text-default"></i>
                                </a>
                                <a class="dropdown-item d-flex align-items-center justify-content-between" data-toggle="theme" data-theme="../assets/css/themes/amethyst.min.css" href="javascript:;">
                                    <span>紫色主题</span>
                                    <i class="fa fa-circle text-amethyst"></i>
                                </a>
                                <a class="dropdown-item d-flex align-items-center justify-content-between" data-toggle="theme" data-theme="../assets/css/themes/city.min.css" href="javascript:;">
                                    <span>橙色主题</span>
                                    <i class="fa fa-circle text-city"></i>
                                </a>
                                <a class="dropdown-item d-flex align-items-center justify-content-between" data-toggle="theme" data-theme="../assets/css/themes/flat.min.css" href="javascript:;">
                                    <span>浅绿主题</span>
                                    <i class="fa fa-circle text-flat"></i>
                                </a>
                                <a class="dropdown-item d-flex align-items-center justify-content-between" data-toggle="theme" data-theme="../assets/css/themes/modern.min.css" href="javascript:;">
                                    <span>天蓝主题</span>
                                    <i class="fa fa-circle text-modern"></i>
                                </a>
                                <a class="dropdown-item d-flex align-items-center justify-content-between" data-toggle="theme" data-theme="../assets/css/themes/smooth.min.css" href="javascript:;">
                                    <span>粉色主题</span>
                                    <i class="fa fa-circle text-smooth"></i>
                                </a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" data-toggle="layout" data-action="sidebar_style_light" href="javascript:;">
                                    <span>白色侧栏</span>
                                </a>
                                <a class="dropdown-item" data-toggle="layout" data-action="sidebar_style_dark" href="javascript:;">
                                    <span>深色侧栏</span>
                                </a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" data-toggle="layout" data-action="header_style_light" href="javascript:;">
                                    <span>白色顶栏</span>
                                </a>
                                <a class="dropdown-item" data-toggle="layout" data-action="header_style_dark" href="javascript:;">
                                    <span>深色顶栏</span>
                                </a>
                            </div>
                        </div>
                        <a class="d-lg-none text-dual ml-3" data-toggle="layout" data-action="sidebar_close" href="javascript:void(0)">
                            <i class="fa fa-times"></i>
                        </a>
                    </div>
                </div>
                <div class="content-side content-side-full">
                    <ul class="nav-main">
                        <li class="nav-main-item">
                            <a class="nav-main-link" href="/user">
                                <i class="nav-main-link-icon si si-speedometer"></i>
                                <span class="nav-main-link-name">仪表盘</span>
                            </a>
                        </li>
                        <li class="nav-main-heading">Web</li>
						<?php if($conf['userPayMoney']){ ?>
                        <li class="nav-main-item">
                            <a class="nav-main-link" href="/user/pay.php">
                                <i class="nav-main-link-icon fa fa-yen-sign"></i>
                                <span class="nav-main-link-name">余额充值</span>
                            </a>
                        </li>
						<?php } ?>
                        <li class="nav-main-item">
                            <a class="nav-main-link nav-main-link-submenu" data-toggle="submenu" aria-haspopup="true" aria-expanded="false" href="javascript:;">
                                <i class="nav-main-link-icon si si-settings"></i>
                                <span class="nav-main-link-name">信息设置</span>
                            </a>
                            <ul class="nav-main-submenu">
                                <li class="nav-main-item">
                                    <a class="nav-main-link" href="/user/editpwd.php">
                                        <span class="nav-main-link-name">修改密码</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-main-heading">Api</li>
                        <li class="nav-main-item">
                            <a class="nav-main-link nav-main-link-submenu" data-toggle="submenu" aria-haspopup="true" aria-expanded="false" href="javascript:;">
                                <i class="nav-main-link-icon fab fa-cloudversify"></i>
                                <span class="nav-main-link-name">接口管理</span>
                            </a>
                            <ul class="nav-main-submenu">
                                <li class="nav-main-item">
                                    <a class="nav-main-link" href="/user/selfapi.php">
                                        <span class="nav-main-link-name">接口仓库</span>
                                    </a>
                                </li>
                                <li class="nav-main-item">
                                    <a class="nav-main-link" href="/user/apilist.php">
                                        <span class="nav-main-link-name">接口列表</span>
                                    </a>
                                </li>
								<?php if($conf['userAddApi']){ ?>
                                <li class="nav-main-item">
                                    <a class="nav-main-link" href="/user/apiadd.php">
                                        <span class="nav-main-link-name">接口添加</span>
                                    </a>
                                </li>
								<?php } ?>
								<?php if($conf['userBuyApi']){ ?>
                                <li class="nav-main-item">
                                    <a class="nav-main-link" href="/user/apibuy.php">
                                        <span class="nav-main-link-name">接口购买</span>
                                    </a>
                                </li>
								<?php } ?>
                            </ul>
                        </li>
                        <li class="nav-main-item">
                            <a class="nav-main-link nav-main-link-submenu" data-toggle="submenu" aria-haspopup="true" aria-expanded="false" href="javascript:;">
                                <i class="nav-main-link-icon si si-graph"></i>
                                <span class="nav-main-link-name">对接中心</span>
                            </a>
                            <ul class="nav-main-submenu">
                                <li class="nav-main-item">
                                    <a class="nav-main-link" href="/user/accessSet.php">
                                        <span class="nav-main-link-name">对接配置</span>
                                    </a>
                                </li>
                                <li class="nav-main-item">
                                    <a class="nav-main-link" href="/user/accessCourse.php">
                                        <span class="nav-main-link-name">对接教程</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </nav>

            <!-- Header -->
            <header id="page-header">
                <!-- Header Content -->
                <div class="content-header">
                    <!-- Left Section -->
                    <div class="d-flex align-items-center">
                        <button type="button" class="btn btn-sm btn-dual mr-2 d-lg-none" data-toggle="layout" data-action="sidebar_toggle">
                            <i class="fa fa-fw fa-bars"></i>
                        </button>
                        <button type="button" class="btn btn-sm btn-dual mr-2 d-none d-lg-inline-block" data-toggle="layout" data-action="sidebar_mini_toggle">
                            <i class="fa fa-fw fa-ellipsis-v"></i>
                        </button>
                    </div>

                    <div class="d-flex align-items-center">
                        <div class="dropdown d-inline-block ml-2">
                            <button type="button" class="btn btn-sm btn-dual" id="page-header-user-dropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <img class="rounded" src="//q1.qlogo.cn/g?b=qq&nk=<?=$_SESSION['userMail']?>&s=100" alt="Header Avatar" style="width: 18px;">
                                <span class="d-none d-sm-inline-block ml-1"><?=$_SESSION['userName']?></span>
                                <i class="fa fa-fw fa-angle-down d-none d-sm-inline-block"></i>
                            </button>
                            <div class="dropdown-menu dropdown-menu-right p-0 border-0 font-size-sm" aria-labelledby="page-header-user-dropdown">
                                <div class="p-3 text-center bg-primary">
                                    <img class="img-avatar img-avatar48 img-avatar-thumb" src="//q1.qlogo.cn/g?b=qq&nk=<?=$_SESSION['userMail']?>&s=100" alt="">
                                </div>
                                <div class="p-2">
                                    <a class="dropdown-item d-flex align-items-center justify-content-between" href="/user/editpwd.php">
                                        <span>修改密码</span>
                                        <i class="si si-settings"></i>
                                    </a>
                                    <div role="separator" class="dropdown-divider"></div>
                                    <a class="dropdown-item d-flex align-items-center justify-content-between" href="/user/login.php?logout">
                                        <span>注销登录</span>
                                        <i class="si si-logout ml-1"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div id="page-header-loader" class="overlay-header bg-white">
                    <div class="content-header">
                        <div class="w-100 text-center">
                            <i class="fa fa-fw fa-circle-notch fa-spin"></i>
                        </div>
                    </div>
                </div>
            </header>